MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024490Community[OCCT] OCCT:Modeling Algorithmspublic2013-12-22 22:202017-08-04 12:09
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target VersionFixed in Version[OCCT] 7.0.0 
Summary0024490: Computed surface properties differ substantially depending on NaturalRestriction flag
DescriptionThe same face with and without NaturalRestriction flag produces substantially different surface properties (areas, center of gravity, moments inertia, etc). For instance, surface areas differ by more than 2x.

When NR is set, the surface area seems to be more correct.

As a result, the algorithm that depends on surface area as a hint fails being given significantly different value.
Steps To ReproduceDraw[1]> pload MODELING
Draw[2]> restore face_naturalrestriction_flag.brep ff
Draw[3]> sprops ff

Mass : 46.3749

Center of gravity :
X = 14.1304
Y = 29.4519
Z = 9.99987
...
Draw[4]> restore face_naturalrestriction_noflag.brep fn
fn
Draw[5]> sprops fn

Mass : 21.7827

Center of gravity :
X = 11.4146
Y = 29.8415
Z = 9.99987
...

The test face has been produced from the underlying surface and then modifying the natural restriction flag in text editor:
mksurf s ff
mkface f s
save f face_naturalrestriction_flag.brep
TagsNo tags attached.
Test case numberbugs modalg_7 bug24490
Attached Fileszip file icon face_naturalrestriction.zip (163,076 bytes) 2013-12-22 22:20

- Relationships

-  Notes
(0068848)
git (administrator)
2017-07-28 17:19

Branch CR24490 has been created by apv.

SHA-1: c7784f283e80bb1b17204a31686f794854c03730


Detailed log of new commits:

Author: apv
Date: Fri Jul 28 17:19:17 2017 +0300

    Test for 0024490: Computed surface properties differ substantially depending on NaturalRestriction flag
(0068856)
apv (tester)
2017-07-28 17:22

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT7.0.0.

Please integrate branch CR24490 into the occt git-repository master.
(0069098)
git (administrator)
2017-08-03 18:12

Branch CR24490 has been deleted by mkv.

SHA-1: c7784f283e80bb1b17204a31686f794854c03730

- Issue History
Date Modified Username Field Change
2013-12-22 22:20 Roman Lygin New Issue
2013-12-22 22:20 Roman Lygin Assigned To => ifv
2013-12-22 22:20 Roman Lygin File Added: face_naturalrestriction.zip
2017-07-28 17:19 git Note Added: 0068848
2017-07-28 17:20 apv Assigned To ifv => apv
2017-07-28 17:20 apv Status new => feedback
2017-07-28 17:22 apv Test case number => bugs modalg_7 bug24490
2017-07-28 17:22 apv Note Added: 0068856
2017-07-28 17:22 apv Assigned To apv => bugmaster
2017-07-28 17:22 apv Status feedback => tested
2017-07-28 17:22 apv Fixed in Version => 7.0.0
2017-08-03 18:12 git Note Added: 0069098
2017-08-04 12:09 apv Status tested => closed
2017-08-04 12:09 apv Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker